package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.utils.Input; 
	import net.flashpunk.utils.Key;
	public class Player extends Entity 
	{
		
		private var moveSpeed:Number = 200;
		
		public function Player() 
		{
			graphic = new Image(Assets.GRAPHIC_SHIP_PLAYER);
			Input.define("right", Key.RIGHT, Key.D); 
			Input.define("left", Key.LEFT, Key.A);
			Input.define("down", Key.DOWN, Key.S);
			Input.define("up", Key.UP, Key.W);
			Image(graphic).centerOO();
			type = "Player";
			setHitbox(32, 32, 16, 16);
			
			FP.console.enable();
		}
		
		override public function update():void
		{
			if (Input.check("right")) x += moveSpeed * FP.elapsed; 
			if (Input.check("left")) x -= moveSpeed * FP.elapsed; 
			if (Input.check("down")) y += moveSpeed * FP.elapsed; 
			if (Input.check("up")) y -= moveSpeed * FP.elapsed; 
			if (x < 32) x = 32;
			if (x > FP.width - 32) x = FP.width - 32;
			if (y < 32) y = 32;
			if (y > FP.height - 32) y = FP.height - 32;
			if (collide("Enemy", x, y)) {
				x = 32;
				y = FP.halfHeight;
			}
		}
	}
}